Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms
Class JmsQueueReceiver

    java.lang.Object
      org.jboss.resource.adapter.jms.JmsMessageConsumer
          org.jboss.resource.adapter.jms.JmsQueueReceiver

All Implemented Interfaces:
  javax.jms.MessageConsumer, javax.jms.QueueReceiver

public class JmsQueueReceiver
extends JmsMessageConsumer
implements javax.jms.QueueReceiver

A wrapper for a queue receiver

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Constructor Summary
`JmsQueueReceiver(javax.jms.QueueReceiver consumer, JmsSession session)` Create a new wrapper

Method Summary
`javax.jms.Queue` | `getQueue()`

Methods inherited from class org.jboss.resource.adapter.jms.JmsMessageConsumer
`close, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setMessageListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jms.MessageConsumer
`close, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setMessageListener`

Constructor Detail

### JmsQueueReceiver

    public JmsQueueReceiver(javax.jms.QueueReceiver consumer,
                            JmsSession session)

  Create a new wrapper

Parameters:
  `consumer` - the queue receiver
  `session` - the session

Method Detail

### getQueue

    public javax.jms.Queue getQueue()
                             throws javax.jms.JMSException

  Specified by:
    `getQueue` in interface `javax.jms.QueueReceiver`
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.